DiscoHandler Class Referenceabstract

`#include <discohandler.h>`

Inheritance diagram for DiscoHandler:
[legend]

## Public Member Functions

virtual | ~DiscoHandler ()
virtual void | handleDiscoInfo (const JID &from, const Disco::Info &info, int context)=0
virtual void | handleDiscoItems (const JID &from, const Disco::Items &items, int context)=0
virtual void | handleDiscoError (const JID &from, const Error *error, int context)=0
virtual bool | handleDiscoSet (const IQ &iq)

## Detailed Description

A virtual interface that enables objects to receive Service Discovery (XEP-0030) events.

A class implementing this interface can receive the results of sent disco queries.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Definition at line 34 of file discohandler.h.

## Constructor & Destructor Documentation

## ~DiscoHandler()

virtual ~DiscoHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 40 of file discohandler.h.

## Member Function Documentation

## handleDiscoError()

virtual void handleDiscoError | ( | const JID & | from,
|  | const Error * | error,
|  | int | context )

pure virtual

Reimplement this function to receive disco error notifications.

Parameters

  from | The sender of the error result.
  error | The Error. May be 0.
  context | A context identifier.

Since
  1.0

Implemented in Adhoc, FlexibleOffline, and MUCRoom.

## handleDiscoInfo()

virtual void handleDiscoInfo | ( | const JID & | from,
|  | const Disco::Info & | info,
|  | int | context )

pure virtual

Reimplement this function if you want to be notified about the result of an disco#info query.

Parameters

  from | The sender of the disco#info result.
  info | The Info.
  context | A context identifier.

Since
  1.0

Implemented in Adhoc, FlexibleOffline, and MUCRoom.

## handleDiscoItems()

virtual void handleDiscoItems | ( | const JID & | from,
|  | const Disco::Items & | items,
|  | int | context )

pure virtual

Reimplement this function if you want to be notified about the result of a disco#items query.

Parameters

  from | The sender of the disco#items result.
  items | The Items.
  context | A context identifier.

Since
  1.0

Implemented in Adhoc, FlexibleOffline, and MUCRoom.

## handleDiscoSet()

virtual bool handleDiscoSet | ( | const IQ & | iq | ) |

inline virtual

Reimplement this function to receive notifications about incoming IQ stanzas of type 'set' in the disco namespace.

Parameters

  iq | The full IQ.

Returns
  Returns true if the stanza was handled and answered, false otherwise.

Definition at line 77 of file discohandler.h.

The documentation for this class was generated from the following file:

- discohandler.h